> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch List Of Apps Added In Archer

> This operation will no longer be available after 2025-04-30 and will be discontinued in upcoming weeks due to the deprecation of the direct use of apps and skills in the AI agent. Use tools to complete specific tasks through agents.



## OpenAPI

````yaml get /v1/applications/
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/applications/:
    get:
      tags:
        - Artifact Management
      summary: Fetch List Of Apps Added In Archer
      description: >-
        This operation will no longer be available after 2025-04-30 and will be
        discontinued in upcoming weeks due to the deprecation of the direct use
        of apps and skills in the AI agent. Use tools to complete specific tasks
        through agents.
      operationId: Fetch_List_of_Apps_Added_in_Archer_v1_applications__get
      parameters:
        - name: show_hidden
          in: query
          required: false
          schema:
            type: boolean
            ge: 0
            default: false
            title: Show Hidden
        - name: group_by
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ArtifactGroupIdentifier'
              - type: 'null'
            title: Group By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: array
                    items:
                      $ref: '#/components/schemas/AppDetailsResponseModel'
                  - type: array
                    items:
                      $ref: '#/components/schemas/GroupedArtifactResponse'
                title: >-
                  Response Fetch List Of Apps Added In Archer V1 Applications 
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    ArtifactGroupIdentifier:
      type: string
      enum:
        - catalog_ref_id
      title: ArtifactGroupIdentifier
    AppDetailsResponseModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Primary key of the artifact group
        application_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Application Id
          description: Application Id / Catalog Ref. Id
        group_name:
          type: string
          minLength: 1
          title: Group Name
          description: Name of the artifact group
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the artifact group
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon associated with the artifact group
      type: object
      required:
        - id
        - application_id
        - group_name
        - description
      title: AppDetailsResponseModel
    GroupedArtifactResponse:
      properties:
        id:
          items:
            type: string
            format: uuid
          type: array
          title: Id
          description: Primary keys of the artifact group
          default: []
        catalog_ref_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Catalog Ref Id
          description: Application Id / Catalog Ref. Id
        group_name:
          type: string
          minLength: 1
          title: Group Name
          description: Name of the artifact group
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the artifact group
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon associated with the artifact group
      type: object
      required:
        - catalog_ref_id
        - group_name
        - description
      title: GroupedArtifactResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````